var pgUnsafe = {};

$langDefaultSection = "PG_UNSAFE";
pgUnsafe.init = function(){

	document.title = $lang("unsafe_website");
	
	$id('dom2').onmouseover = function(){pgUnsafe.over('dom2',true)};
	$id('dom2').onmouseout = function(){pgUnsafe.over('dom2',false)};
	$id("btnContinue").innerHTML = $lang("CONTINUE");
	$id("CONTINUE_SUGGEST").innerHTML = $lang("CONTINUE_SUGGEST");
	
	$id("btnClose").innerHTML = $lang("CLOSE");
	
	$id('btnClose').onclick = pgUnsafe.doClose;
	$id('dom2').onclick = pgUnsafe.doContinue;
	
	$id("btnClose").onmouseover = function(){$id("btnClose").className = 'close-over'};
	$id("btnClose").onmousedown = function(){$id("btnClose").className = 'close-mdown'};
	$id("btnClose").onmouseout = function(){$id("btnClose").className = 'close-normal'};
	
	$id('rurl').onmouseover = function(){$id('rurl').className = 'ron'};
	$id('rurl').onmouseout = function(){$id('rurl').className = ''};
	
	try{
		var url = external.max_invoke("getCurUnsafeUrl");
		var reporter = external.max_invoke("getCurUnsafeReporter");
	}catch(e){}
	$id("url").innerHTML = url?url.$encodeHTML():"..........";
	$id("reporturl").href = "javascript:void(0)";
	$id("reporturl").innerHTML = $lang("APPEAL");
	if(url){
		$id("reporturl").onclick = function(){
		external.max_invoke("openCurUnsafeUrl","http://web.maxthon.cn/appeal/appeal.php?q="+url.$sanitizeURL())
		}
	}
	
	try{
		var rurl = external.max_invoke("getCurUnsafeRecommendUrl");
	}catch(e){}
	
	$id("UNSAFE_ACTION").innerHTML = (rurl.$trim() !=="")?[$lang("PHISHING_EXPLAIN1"),"<span class='reporter'>",reporter,"</span>",$lang("PHISHING_EXPLAIN2")].join(""):[$lang("UNSAFE_EXPLAIN1"),"<span class='reporter'>",reporter,"</span>",$lang("UNSAFE_EXPLAIN2")].join("");
	$id("surl").style.display = (rurl && rurl.$trim() !=="") ?"block":"none";
	$id("rurl").innerHTML = (rurl && rurl.$trim() !=="") ?rurl.$encodeHTML():"......";
	if(rurl && rurl.$trim() !==""){
		$id("rurl").onclick = function(){
			external.max_invoke("openCurUnsafeUrl",rurl.$encodeHTML())
		}
	}
	$id("rtip").innerHTML= $lang("RECOMMENDURL_SUGGEST")
	$id("headTit").innerHTML = (rurl && rurl.$trim() !=="")?$lang("PHISHING_WEBSITE"):$lang("UNSAFE_WEBSITE");
}

pgUnsafe.over = function(id,fg){
	fg?$id(id).className = 'actionDom curDom':$id(id).className = 'actionDom';
}

pgUnsafe.doClose = function(){
	try{
		external.max_closeTab(max_security_id, 0, 0);
	}catch(e){};
}

pgUnsafe.doContinue = function(){
	try{
		//external.max_openCurUnsafeUrl(max_security_id);
		external.max_invoke("openCurUnsafeUrl");
	}catch(e){};
}
